Subject: bug#18186: cat.c needs fixing since 1998

From: Linda Walsh <[email-masked]>
Date: Fri, 08 Aug 2014 11:04:31 -0700

Paul Eggert wrote:
> James Simmons, President & CEO wrote:
>> cat file1.txt file2.txt >>output.txt
>>
>> file1.txt contains a single line containing IP addresses.
>> file2.txt contains a single line with more IP addresses.
>>
>> output.txt SHOULD contain a single line
>
> If the input contains two lines, the output should too.  Sorry, I 
> don't see a bug here.
---
If he is using an editor like Vim,
it will not show you the last linefeeds in the file because
it always inserts them automatically unless you are in binary mode.

I had a similar problem with vim force inserting an LF on a file update,
just to "help me".  The problem comes when you want to concatenate
text fields, where neither are terminated by an LF.  I think that may be
what the OP is expecting, not knowing that the problem may be in their text
editor that won't inhibit LF@EOF in text mode even though it has a flag 
for it.